<?php
namespace Mirasvit\LayeredNavigation\Block\Adminhtml\Menu;

/**
 * Interceptor class for @see \Mirasvit\LayeredNavigation\Block\Adminhtml\Menu
 */
class Interceptor extends \Mirasvit\LayeredNavigation\Block\Adminhtml\Menu implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Mirasvit\Brand\Model\Config\Config $config, \Mirasvit\Brand\Service\BrandAttributeService $brandAttributeService)
    {
        $this->___init();
        parent::__construct($context, $config, $brandAttributeService);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
